[package]
name = "pneo-wasm"
version = "0.1.0"
edition = "2021"

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
anyhow = "1.0.89"
console_error_panic_hook = "0.1.7"
console_log = { version = "0.2", features = ["color"] }
crossterm = {version = "0.27", features = ["event-stream"]}
futures = "0.3.30"
js-sys = "0.3.70"
log = "0.4.22"
pneo-engine = { path = "../pneo-engine", default-features = false }
ratatui = "0.27.0"
wasm-bindgen = "0.2.93"
wasm-bindgen-futures = { version = "0.4.43", features = ["futures-core-03-stream"] }
web-sys = { version = "0.3.70", features = ["Blob", "BlobPropertyBag", "Clipboard", "Navigator", "Url", "Window"] }

[patch.crates-io]
crossterm = { git = 'https://gitlab.com/_rvidal/crossterm.git', rev = "f5102b519ecbe8c714a306a5acfbaecfe05bc934" }

[workspace]
